import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseHttpClient } from '../base-http-client';
import { Profile, SearchQuery } from '../models';
import { PageRequest, PaginatedResponse } from '../vitamui-table';
export declare class ProfileApiService extends BaseHttpClient<Profile> {
    constructor(http: HttpClient, baseUrl: string);
    getAllByParams(params: HttpParams, headers?: HttpHeaders): Observable<Profile[]>;
    getAllPaginated(pageRequest: PageRequest, embedded?: string, headers?: HttpHeaders): Observable<PaginatedResponse<Profile>>;
    getOne(id: string, headers?: HttpHeaders): Observable<Profile>;
    getOneWithEmbedded(id: string, embedded: string, headers?: HttpHeaders): Observable<Profile>;
    checkExistsByParam(params: Array<{
        key: string;
        value: string;
    }>, headers?: HttpHeaders): Observable<boolean>;
    create(profile: Profile, headers?: HttpHeaders): Observable<Profile>;
    patch(data: {
        id: string;
        [key: string]: any;
    }, headers?: HttpHeaders): Observable<Profile>;
    getLevels(query?: SearchQuery, headers?: HttpHeaders): Observable<string[]>;
}
