import { Observable } from 'rxjs';
import { AuthService } from '../auth.service';
export declare class SecurityService {
    private authService;
    constructor(authService: AuthService);
    /**
     * Returns true if the logged user has any of the specified roles and false otherwise.
     */
    hasAnyRole(appId: string, tenantIdentifier: number, ...roles: string[]): Observable<boolean>;
    /**
     * Returns true if the logged user has the specified role and false otherwise.
     */
    hasRole(appId: string, tenantIdentifier: number, role: string): Observable<boolean>;
}
